Associated revisions
Revision 0e53e003 - 2012-10-18 19:40 - Adrian Föder

[BUGFIX] Add schema migraton for serialized imageVariants

The ``imageVariant`` property of the ``Image`` entity is
string-replaced from FLOW3 to Flow legacies.

Change-Id: I782ae08c80ebd65214baac2e163729ef442023c6
Fixes: #41891

History
#1 - 2012-10-11 16:08 - Adrian Föder

The serialized imageVariants property of the Image entity still carries FLOW3_Persistence_Identifier attributes from earlier, "hard coded".
These must be renamed, too.

#2 - 2012-10-11 16:08 - Adrian Föder
- Status changed from New to Accepted

#3 - 2012-10-11 16:32 - Adrian Föder

ok, as far as I can see it, this goes for

    -  s:31:\"\0*\0FLOW3_Persistence_Identifier\";
    -  s:33:\"FLOW3_Persistence_RelatedEntities\";
    -  s:29:\"TYPO3\\FLOW3\\Resource\\Resource\";

#4 - 2012-10-11 17:32 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15515

#5 - 2012-10-11 17:33 - Adrian Föder
- Status changed from Accepted to Under Review

#6 - 2012-10-11 17:39 - Gerrit Code Review
Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15515

#7 - 2012-10-12 09:06 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15515

#8 - 2013-01-15 17:19 - Adrian Föder
- Status changed from Under Review to Resolved

is resolved in associated patch set.
